<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/SIG/Site.Master" CodeBehind="Frm_AdminPuntos_Categorias.aspx.vb" Inherits="SGHweb.Frm_AdminPuntos_Categorias" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript" src="../Scripts/noty/jquery.noty.js"></script>
    <script type="text/javascript" src="../Scripts/noty/layouts/center.js"></script>
    <script type="text/javascript" src="../Scripts/noty/themes/default.js"></script>
    <script type="text/javascript" src="../Scripts/noty/layouts/bottom.js"></script>
    <link rel="stylesheet" type="text/css" href="../Scripts/noty/buttons.css" />

<script type="text/javascript">

    function generate_eliminar(CategoriaId, NombreCategoria) {
        var n = noty({
            text: '¿Esta seguro de eliminar la categoria?',
            type: 'alert',
            dismissQueue: true,
            modal: true,
            layout: 'center',
            theme: 'defaultTheme',
            buttons: [
                    { addClass: 'btn btn-info', text: 'Aceptar', onClick: function ($noty) {
                        var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                        ajaxManager.ajaxRequest("eliminarImagen," + CategoriaId + "," + NombreCategoria);
                        RefreshGrid();
                        $noty.close();
                        close();
                    }
                    },
                    { addClass: 'btn btn-primary', text: 'Cancelar', onClick: function ($noty) {
                        $noty.close();
                        close();
                    }
                    },
                  ]
        });
        console.log('html: ' + n.options.id);
        return n;

    }


    function mensaje() {
        //$find("<%= RadAjaxManager1.ClientID%>").ajaxRequest("envioClaveMail," + idemp + "," + mailV);
        //$find("<%= RadAjaxManager1.ClientID %>");
        var notificacion = generate('Descargando Reporte <br><img src="../Scripts/noty/ajax-loader.gif" />');
        setTimeout(function () {
            $.noty.setText(notificacion.options.id, 'Producto Editado <br><img src="../Resources/Update.png" />'); // same as alert.setText('Text Override')
        }, 0000);

    }

    function generate(type, texto) {
        var n = noty({
            text: texto,
            type: 'alert',
            dismissQueue: true,
            modal: true,
            layout: 'center',
            theme: 'defaultTheme',
            buttons: [
                    { addClass: 'btn btn-primary', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                    }
                    },
                  ]
        });
        console.log('html: ' + n.options.id);
        return n;
    }
    function mostrar_mensaje(tipo, texto) {
        $(document).ready(function () {
            ///////////////////////
            // alert             //
            //  information      //
            //   error           //
            //    warning        //
            //     notification  //
            ///////////////////////
            var success = generate(tipo, texto);
            setTimeout(function () {
                $.noty.setText(success.options.id, texto);
            }, 1000);
        });
    }

    function RefreshGrid() {
        var masterTable = $find("<%= RadGrid1.ClientID %>").get_masterTableView();
        masterTable.rebind();
    }
    function eliminarImagen(CategoriaId, NombreCategoria) {
        if (confirm("Esta seguro que desea eliminar la imagen?"))
            var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
        ajaxManager.ajaxRequest("eliminarImagen," + CategoriaId + "," + NombreCategoria);
        oWnd.add_close(OnClientClose);
        return false;
    }
    function editarProducto(id) {

        var ruta = "frm_editarCategoria.aspx?corona=" + id;
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.setUrl(ruta);
        oWnd.SetTitle("Editar Categoría");
        oWnd.add_close(OnClientClose);
        oWnd.show();
        return false;
    }
    function agregarImagen(id) {

        var ruta = "frm_AgregarCategoria.aspx?corona=" + id;
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.setUrl(ruta);
        oWnd.SetTitle("agregar Imagen");
        oWnd.add_close(OnClientClose);
        oWnd.show();
        return false;
    }
    function agregarProducto() {

        var ruta = "frm_AgregarCategoria.aspx";
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.setUrl(ruta);
        oWnd.SetTitle("Agregar Categoria");
        oWnd.add_close(OnClientClose);
        oWnd.show();
        return false;
    }

    function OnClientClose() {
        var masterTable = $find("<%= RadGrid1.ClientID %>").get_masterTableView();
        masterTable.rebind();
    }  
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<asp:Label ID="Label2" runat="server" Font-Bold="True" Font-Names="Times New Roman" 
        Font-Size="16pt" Text="PUNTOS : LISTADO DE CATEGORIAS "></asp:Label>
    <br />
    <br />
    <telerik:RadToolBar ID="RadToolBar2" runat="server" Skin="WebBlue" Width="100%" 
        AppendDataBoundItems="True" onclientbuttonclicked="agregarProducto" 
        style="margin-bottom: 0px">
    <Items>
        <telerik:RadToolBarButton runat="server" OnClick="agregarProducto" Font-Names="Arial" Font-Size="9pt" ForeColor="White"
         ImageUrl="~/SIG/Resources/Update_Popup.png" Text="Agregar Categoría" 
            PostBack="False">
        </telerik:RadToolBarButton>
    </Items>
    </telerik:RadToolBar>
    
<%--    <telerik:RadButton ID="Rbproducto" runat="server" Skin="Web20" 
        Text="Agregar Categoria" OnClientClicked="agregarProducto" 
        AutoPostBack="False" Height="32px" Width="167px">
    </telerik:RadButton>--%>

<telerik:RadGrid ID="RadGrid1" runat="server" Culture="es-ES" 
        DataSourceID="SqlDataSource_categoria" CellSpacing="0" GridLines="None" 
        Skin="Vista">
<MasterTableView  AutoGenerateColumns="False" DataSourceID="SqlDataSource_categoria">
<CommandItemSettings ExportToPdfText="Export to PDF"></CommandItemSettings>
<RowIndicatorColumn FilterControlAltText="Filter RowIndicator column">
<HeaderStyle Width="20px"></HeaderStyle>
</RowIndicatorColumn>

<ExpandCollapseColumn Visible="True" 
        FilterControlAltText="Filter ExpandColumn column" Created="True">
<HeaderStyle Width="20px"></HeaderStyle>
</ExpandCollapseColumn>

    <Columns>
        <telerik:GridBoundColumn DataField="CategoriaID" 
            FilterControlAltText="Filter CategoriaID column" HeaderText="CategoriaID" 
            SortExpression="CategoriaID" UniqueName="CategoriaID">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="NombreCategoria" 
            FilterControlAltText="Filter NombreCategoria column" 
            HeaderText="NombreCategoria" SortExpression="NombreCategoria" 
            UniqueName="NombreCategoria">
        </telerik:GridBoundColumn>
        <telerik:GridTemplateColumn UniqueName="TemplateColumnOpciones" 
            HeaderText="Opciones" 
            FilterControlAltText="Filter TemplateColumnOpciones column">
            <ItemTemplate>
                <asp:Panel ID="Panel2" runat="server">
                    <%--<asp:ImageButton ID="agregarImagen" runat="server" CssClass="cursor" 
                            ImageUrl="~/SIG/Resources/examen_img/agregar_respuesta.png" ToolTip="Agregar Imagen" />--%>
                    <asp:ImageButton ID="editarProducto" runat="server" CssClass="cursor" 
                            ImageUrl="~/SIG/Resources/examen_img/editar.png" ToolTip="Editar Producto" />
                    <asp:Image ID="eliminarImagen" runat="server" CssClass="cursor" 
                            ImageUrl="~/SIG/Resources/examen_img/eliminar.png" ToolTip="Eliminar Imagen" />
                </asp:Panel>
            </ItemTemplate>
            <FooterStyle Width="150px" HorizontalAlign="Center" />
            <HeaderStyle Width="150px" HorizontalAlign="Center" />
            <ItemStyle Width="150px" HorizontalAlign="Center" />
        </telerik:GridTemplateColumn>
    </Columns>
<EditFormSettings>
    <EditColumn FilterControlAltText="Filter EditCommandColumn column"></EditColumn> 
</EditFormSettings>
<PagerStyle PageSizeControlType="RadComboBox"></PagerStyle>
</MasterTableView>

<PagerStyle PageSizeControlType="RadComboBox"></PagerStyle>

<FilterMenu EnableImageSprites="False"></FilterMenu>
</telerik:RadGrid>
<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server"> </telerik:RadAjaxManager>
<telerik:RadWindowManager ID="RadWindowManager1" runat="server" Skin="WebBlue"
        Behavior="Close, Move" Behaviors="Close, Move" InitialBehavior="Close, Move" 
        InitialBehaviors="Close, Move" Left="" Modal="True"
        NavigateUrl="" ReloadOnShow="True" 
        Top="" VisibleStatusbar="False" Animation="Fade">
        <Windows>
            <telerik:RadWindow ID="RadWindow1" runat="server" 
                Behavior="Move" Behaviors="Move" Height="100px" InitialBehavior="Move" 
                InitialBehaviors="Move" Left="" NavigateUrl="" 
                OnClientClose="OnClientClose" Style="display: none;" Top="" Width="400px">
            </telerik:RadWindow>
        </Windows>
</telerik:RadWindowManager>
    <%--ConnectionString="<%$ ConnectionStrings:SHIOL_WEB %>"--%> 
    <asp:SqlDataSource ID="SqlDataSource_categoria" runat="server" SelectCommand="SELECT [CategoriaID], [NombreCategoria] FROM [Categoria_Coronas]">
    </asp:SqlDataSource>
</asp:Content>
